IntegrationsCore
Updates an existing integration.
Omit credential fields to keep existing values unchanged.
Path Parameters
integration*string
The unique identifier of the integration.
tenant*string
The tenant identifier
The fields to update.
displayName?string|null
Length
length <= 100description?string|null
Length
length <= 500configMetadata?
[key: string]?never
Response Body
curl -X PUT "https://api.fruxon.com/v1/tenants/string/integrations/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"displayName": "string",
"description": "string",
"type": 0,
"configMetadata": {
"parametersMetadata": [
{
"name": "string",
"index": 0,
"type": "String",
"typeName": "string",
"integerRange": null,
"floatRange": null,
"options": null,
"asset": null,
"displayName": "string",
"description": "string",
"required": false,
"secret": false,
"defaultValue": "string",
"jsonSchema": "string",
"uiHint": null,
"rules": []
}
],
"authMetadata": [
{
"id": "string",
"displayName": "string",
"description": "string",
"type": "None",
"authMap": {
"useMap": false,
"keyTemplate": null,
"parametersMetadata": []
},
"authSettings": {
"parameters": {}
},
"parametersMetadata": []
}
]
},
"tags": [
"string"
],
"isInternal": false,
"createdAt": 0,
"modifiedAt": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}Empty
Empty
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}Creates a new integration.
Credentials are encrypted at rest and never returned in API responses.
Imports tools from a remote MCP server into an integration.
The integration is created automatically if it does not yet exist. Tools that already exist within the integration are skipped unless `overrideExisting` is set.